Bug 1264676 - [abrt] NetworkManager: g_type_instance_get_private(): NetworkManager killed by SIGSEGV
[abrt] NetworkManager: g_type_instance_get_private(): NetworkManager killed b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:391ab499d6a008ed2badac4f4c7...
:
: 1269323 1272743 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-20 09:53 EDT by Onuralp SEZER
Modified: 2015-11-17 05:58 EST (History)
8 users (show)

See Also:
Fixed In Version: NetworkManager-1.0.6-7.fc22 NetworkManager-1.0.6-7.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 12:23:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.31 KB, text/plain)
2015-09-20 09:53 EDT, Onuralp SEZER
no flags Details
File: cgroup (208 bytes, text/plain)
2015-09-20 09:53 EDT, Onuralp SEZER
no flags Details
File: core_backtrace (12.29 KB, text/plain)
2015-09-20 09:53 EDT, Onuralp SEZER
no flags Details
File: dso_list (5.82 KB, text/plain)
2015-09-20 09:53 EDT, Onuralp SEZER
no flags Details
File: environ (72 bytes, text/plain)
2015-09-20 09:53 EDT, Onuralp SEZER
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-20 09:53 EDT, Onuralp SEZER
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-20 09:53 EDT, Onuralp SEZER
no flags Details
File: maps (27.82 KB, text/plain)
2015-09-20 09:53 EDT, Onuralp SEZER
no flags Details
File: mountinfo (3.53 KB, text/plain)
2015-09-20 09:53 EDT, Onuralp SEZER
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-20 09:54 EDT, Onuralp SEZER
no flags Details
File: open_fds (2.25 KB, text/plain)
2015-09-20 09:54 EDT, Onuralp SEZER
no flags Details
File: proc_pid_status (981 bytes, text/plain)
2015-09-20 09:54 EDT, Onuralp SEZER
no flags Details
File: var_log_messages (10.44 KB, text/plain)
2015-09-20 09:54 EDT, Onuralp SEZER
no flags Details

  None (edit)
Description Onuralp SEZER 2015-09-20 09:53:34 EDT
Version-Release number of selected component:
NetworkManager-1.0.6-5.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: g_type_instance_get_private
executable:     /usr/sbin/NetworkManager
global_pid:     1288
kernel:         4.2.0-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 g_type_instance_get_private at gtype.c:4680
 #1 nm_settings_get_startup_complete at settings/nm-settings.c:1871
 #2 check_if_startup_complete at nm-manager.c:750
Comment 1 Onuralp SEZER 2015-09-20 09:53:41 EDT
Created attachment 1075297 [details]
File: backtrace
Comment 2 Onuralp SEZER 2015-09-20 09:53:44 EDT
Created attachment 1075298 [details]
File: cgroup
Comment 3 Onuralp SEZER 2015-09-20 09:53:46 EDT
Created attachment 1075299 [details]
File: core_backtrace
Comment 4 Onuralp SEZER 2015-09-20 09:53:48 EDT
Created attachment 1075300 [details]
File: dso_list
Comment 5 Onuralp SEZER 2015-09-20 09:53:50 EDT
Created attachment 1075301 [details]
File: environ
Comment 6 Onuralp SEZER 2015-09-20 09:53:52 EDT
Created attachment 1075302 [details]
File: exploitable
Comment 7 Onuralp SEZER 2015-09-20 09:53:54 EDT
Created attachment 1075303 [details]
File: limits
Comment 8 Onuralp SEZER 2015-09-20 09:53:56 EDT
Created attachment 1075304 [details]
File: maps
Comment 9 Onuralp SEZER 2015-09-20 09:53:58 EDT
Created attachment 1075305 [details]
File: mountinfo
Comment 10 Onuralp SEZER 2015-09-20 09:54:00 EDT
Created attachment 1075306 [details]
File: namespaces
Comment 11 Onuralp SEZER 2015-09-20 09:54:08 EDT
Created attachment 1075307 [details]
File: open_fds
Comment 12 Onuralp SEZER 2015-09-20 09:54:10 EDT
Created attachment 1075308 [details]
File: proc_pid_status
Comment 13 Onuralp SEZER 2015-09-20 09:54:12 EDT
Created attachment 1075309 [details]
File: var_log_messages
Comment 14 Jirka Klimes 2015-09-21 08:47:27 EDT
Some signal handlers are not disconnected and a crash may occur when a callback is called while NetworkManager is shutting down.

A fix is available in upstream branch jk/manager-cleanup-rh1264676.
Comment 15 Beniamino Galvani 2015-09-21 12:29:48 EDT
LGTM.
Comment 16 Jirka Klimes 2015-09-22 02:42:44 EDT
Committed upstream,
master:
85d7dc1 manager: cleanup NMRfkillManager in dispose()
dd8c3ef manager: disconnect signal handlers on 'settings' in dispose() (rh #1264676)

nm-1-0:
b010870 manager: cleanup NMRfkillManager in dispose()
117fd7e manager: disconnect signal handlers on 'settings' in dispose() (rh #1264676)
Comment 17 Onuralp SEZER 2015-09-22 06:30:21 EDT
I updated will wait for future crash If It's happened 

Thank you
Comment 18 Jirka Klimes 2015-09-22 09:36:18 EDT
(In reply to ONURALP SEZER from comment #17)
> I updated will wait for future crash If It's happened 
> 
The fix has not been pushed to Fedora yet.
Comment 19 Onuralp SEZER 2015-09-22 10:47:35 EDT
Will wait then.. I speak generally thank you for notice
Comment 20 Jirka Klimes 2015-10-07 09:47:43 EDT
*** Bug 1269323 has been marked as a duplicate of this bug. ***
Comment 21 Jirka Klimes 2015-10-19 03:37:10 EDT
*** Bug 1272743 has been marked as a duplicate of this bug. ***
Comment 22 Fedora Update System 2015-10-19 09:10:46 EDT
NetworkManager-1.0.6-7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6c051fe008
Comment 23 Fedora Update System 2015-10-19 09:10:46 EDT
NetworkManager-1.0.6-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-85c8578fc7
Comment 24 Fedora Update System 2015-10-19 12:24:01 EDT
NetworkManager-1.0.6-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update NetworkManager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-85c8578fc7
Comment 25 Fedora Update System 2015-10-20 00:22:54 EDT
NetworkManager-1.0.6-7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update NetworkManager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6c051fe008
Comment 26 Fedora Update System 2015-10-28 12:23:42 EDT
NetworkManager-1.0.6-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2015-10-31 22:33:24 EDT
NetworkManager-1.0.6-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.